View Issue Details

IDProjectCategoryView StatusLast Update
0003129SymmetricDSBugpublic2017-06-05 09:08
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.24 
Target Version3.8.25Fixed in Version3.8.25 
Summary0003129: oracle.use.transaction.view=true can cause missing data on busy systems
Descriptionoracle.use.transaction.view=true can cause missing data on busy systems

This is a bug in the fast data gap detector. The earliestTransactionTime should be recorded in beforeRouting().
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 7bc3516c

2017-05-31 20:14:05

chenson42

Details Diff
0003129: oracle.use.transaction.view=true can cause missing data on busy
systems

0003129
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapFastDetector.java Diff File

Issue History

Date Modified Username Field Change
2017-05-30 13:47 chenson New Issue
2017-05-30 13:47 chenson Status new => assigned
2017-05-30 13:47 chenson Assigned To => chenson
2017-05-31 20:14 chenson Status assigned => resolved
2017-05-31 20:14 chenson Fixed in Version => 3.8.25
2017-05-31 20:14 chenson Resolution open => fixed
2017-05-31 21:00 chenson42 Changeset attached => SymmetricDS 3.8 7bc3516c
2017-06-05 09:08 chenson Status resolved => closed